org.apache.sling.provisioning.model

## Class Section

- java.lang.Object
- - org.apache.sling.provisioning.model.Traceable
  - - org.apache.sling.provisioning.model.Commentable
    - - org.apache.sling.provisioning.model.Section

    public class Section
    extends Commentable

An additional section in the provisioning model.

Since:
  1.4

### Constructor Summary

Constructors
Constructor and Description
`Section(String name)` Construct a new feature.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `getAttributes()` Get all attributes
`String` `getContents()` Get the contents of the section.
`String` `getName()` Get the name of the section.
`void` `setContents(String contents)` Set the contents of the section.
`String` `toString()`

### Methods inherited from class org.apache.sling.provisioning.model.Commentable

`getComment, setComment`

### Methods inherited from class org.apache.sling.provisioning.model.Traceable

`getLocation, setLocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Section

    public Section(String name)

Construct a new feature.

Parameters:
  `name` - The feature name

### Method Detail

#### getName

    public String getName()

Get the name of the section.

Returns:
  The name or `null` for an anonymous feature.

#### getAttributes

    public Map<String,String> getAttributes()

Get all attributes

Returns:
  The map of attributes.

#### getContents

    public String getContents()

Get the contents of the section.

Returns:
  The contents or `null`.

#### setContents

    public void setContents(String contents)

Set the contents of the section.

Parameters:
  `contents` - The new contents.

#### toString

    public String toString()

Overrides:
  `toString` in class `Commentable`